﻿using System;
using System.Linq;
using System.Collections.Generic;

namespace HooIzDat.Web.Models
{
    public interface ICharacterRepository
    {
        void Add(Character character);
        void Delete(Character character);
        IQueryable<Character> FindAllCharacters();
        IQueryable<int> FindAllCharacterIds();
        IQueryable<CharacterTrait> FindAllCharacterTraits();
        IEnumerable<string> FindAllQuestions();
        Character GetCharacter(int id);
        void Save();
    }
}