﻿using System;
using System.Collections.Generic;

namespace HooIzDat.Web.Models
{
    public interface IGameRepository
    {
        void Add(Game game);
        void Delete(Game game);
        void DeleteAll();
        IEnumerable<Game> FindAllGames();
        IEnumerable<Game> FindPendingGames();
        IEnumerable<Game> FindFinishedGames();
        Game GetGame(int id);
        void Save();
    }
}