﻿using System;
using System.Linq;
using System.Collections.Generic;

namespace HooIzDat.Web.Models
{
    public interface IPersonRepository
    {
        void Add(Person person);
        void Delete(Person person);
        IQueryable<Person> FindAllPeople();
        IQueryable<int> FindAllPersonIds();
        Person GetPerson(int id);
        void Save();
    }
}