<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	HooIzDat? Prize
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
    <h2>Win a Great Prize!</h2>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="prize">
        <img class="readify-logo" src="<%: ResolveUrl("~/Content/Readify-Logo.png") %>" alt="Readify Logo" />
        <p>
            The winner of HooIzDat? will win a complimentary seat on a
            <a href="http://readify.net/training-and-events/upcoming-training-and-events/">Readify course</a>
            of their choice, including any of the <a href="http://readify.net/training-and-events/industrial-strength-series/Default.aspx">Master Class</a>
            offerings.
        </p>
        <h3>Conditions</h3>
        <ol class="conditions">
            <li>The winner must be a player of HooIzDat? that has registered using the email address
                they provided during their Tech.Ed Australia 2009 registration.</li>
            <li>Each Tech.Ed delegate may only enter once.</li>
            <li>Employees of Readify or Microsoft can register and play the game but are not eligble
                for the prize.</li>
            <li>The winner be determined as the player who has won the most games by the time the
                locknote presentation has finished. If there is a tie for the number of games won,
                then the winner will be determined as the player who has asked the least amount of
                questions in all of their won games. If there is still a tie, then a winner will be
                chosen at random.</li>
            <li>The prize is a ticket to attend a single intance of any Readify course of the winner's
                choosing.</li>
            <li>The prize is not redeemable for cash or transferrable.</li>
            <li>The prize must be redeemed within 12 months of the end of the competition.</li>
            <li>The winner will be contacted by Readify within one week of the competition ending.</li>
            <li>The winner will be responsible for all other costs involved with attending the course,
                e.g. travel, accommodation, etc.</li>
            <li>Readify <a href="http://readify.net/info/privacy-statement/">privacy policy</a></li>
            <li>Please direct all questions to <a href="mailto:damian.edwards@readify.net">damian.edwards@readify.net</a></li>
        </ol>
        <p>
            <%: Html.ActionLink("Back to Home", "Index") %>
        </p>
    </div>
</asp:Content>