﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace HooIzDat.Web.Models
{
    public interface IGameRepository
    {
        void Add(Game game);
        void Delete(Game game);
        void Delete(IEnumerable<Game> games);
        void DeleteAll();
        IQueryable<Game> FindAllGames();
        IQueryable<Game> FindPendingGames();
        IQueryable<Game> FindActiveGames();
        IQueryable<Game> FindFinishedGames();
        Game GetGame(int id);
        void Save();
    }
}